Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Citizen.css: Difference between revisions

MediaWiki interface page
(Heavier quicksand font)
(discord icon)
Line 2: Line 2:
[ 1. Imports
[ 1. Imports
[ 2. Root Variables
[ 2. Root Variables
[ 3.  
[ 3. Javascript Mods
[ 4.  
[ 4.  
[ 5.  
[ 5.  
Line 22: Line 22:
   --font-family-serif: 'Kreon', serif;
   --font-family-serif: 'Kreon', serif;
   --font-family-monospace: 'Rokkitt', monospace;
   --font-family-monospace: 'Rokkitt', monospace;
}
/* JAVASCRIPT MODS
[ These selectors are required for JavaScript modifications to function.
============================================================================================ */
.mw-ui-icon-discord::before {
background-image: url(/images/site/interface/discord.svg);
    background-image: linear-gradient(transparent,transparent),url(/images/site/interface/discord.svg);
}
}

Revision as of 20:52, 21 January 2023

/* CSS DIRECTORY
[	1. Imports
[	2. Root Variables
[	3. Javascript Mods
[	4. 
[	5. 
============================================================================================*/


/* Imports
============================================================================================ */
@import url('https://fonts.googleapis.com/css2?family=Kreon:wght@300&family=Quicksand:wght@500&family=Rokkitt&family=Varela+Round&display=swap');



/* ROOT VARIABLES
[ These are variables explicitly supported by the theme.
[ https://github.com/StarCitizenTools/mediawiki-skins-Citizen/wiki/Customizing-Citizen-styles 
============================================================================================ */
:root {
  --font-family-base: 'Quicksand', sans-serif;
  --font-family-serif: 'Kreon', serif;
  --font-family-monospace: 'Rokkitt', monospace;
}



/* JAVASCRIPT MODS
[ These selectors are required for JavaScript modifications to function.
============================================================================================ */
.mw-ui-icon-discord::before {
	background-image: url(/images/site/interface/discord.svg);
    background-image: linear-gradient(transparent,transparent),url(/images/site/interface/discord.svg);
}